### Function

# Pango Script for_unichar

deprecated: 1.44. since: 1.4

#### Declaration [src]

    PangoScript
    pango_script_for_unichar (
      gunichar ch
    )

#### Description [src]

Looks up the script for a particular character.

The script of a character is defined by Unicode Standard Annex 24: Script names.

No check is made for `ch` being a valid Unicode character; if you pass in invalid character, the result is undefined.

Note that while the return type of this function is declared as `PangoScript`, as of Pango 1.18, this function simply returns the return value of `g_unichar_get_script()`. Callers must be prepared to handle unknown values.

Available since: 1.4

Deprecated since: 1.44.

Use g_unichar_get_script().

#### Parameters

`ch`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `PangoScript`

The `PangoScript` for the character.